> For the complete documentation index, see [llms.txt](https://docs.credebl.id/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.credebl.id/docs/references/releases/v.2.2.0.md).

# v.2.2.0

## Platform

If you are updating to `v2.2.0`, apply the following changes.

#### Changes need to be applied

**Update environment variables**

The `adminClient` was already used as `KEYCLOAK_MANAGEMENT_CLIENT_ID` in earlier versions.

For this release, update the `adminClient` values for the following variables in your `.env` file:

```
ADMIN_KEYCLOAK_ID=adminClient
ADMIN_KEYCLOAK_SECRET=<ADMIN_CLIENT_SECRET>
```

**Create `credeblClient`**

Create a new Keycloak client named `credeblClient`. Refer to the [`credeblClient` creation page](https://docs.credebl.id/docs/references/releases/pages/9QRAqeo4y1TbOkPrcrbh#additional-keycloak-configuration-for-v2.2.0) for setup instructions.

After creating the client, update the following environment variables with the client ID and secret:

```
KEYCLOAK_MANAGEMENT_CLIENT_ID=credeblClient
KEYCLOAK_MANAGEMENT_CLIENT_SECRET=<CREDEBL_CLIENT_SECRET>
```

#### **Revocation support**

If you want to enable revocation support, update the following environment variable with your status list server URL in platform env file:

```
STATUS_LIST_HOST=<STATUS_LIST_SERVER_URL>
```

***

## Credo-Controller

Added support for OID4VC features and revocation configuration.

#### Changes need to be applied

**OID4VC feature support**

If you want to enable OID4VC features and do not want to use authentication update the environment with:

```
TRUST_URL_LIST=<TRUST_URLS>
TRUST_SERVICE_AUTH_TYPE=NoAuth
```

If you are using authentication:

```
TRUST_SERVICE_AUTH_TYPE=ClientAuth
TRUST_SERVICE_TOKEN_URL=http://host:5000/v1/orgs/{clientId}/tokenT
RUST_SERVICE_CLIENT_ID=<CLIENT_ID>
TRUST_SERVICE_CLIENT_SECRET=<CLIENT_SECRET>
```

***

**Data deletion and purging**

For data deletion and purging configuration, refer to the [Data Purging documentation page](https://docs.credebl.id/docs/contribute/setup/optional-agent/data-deletion-purge-system).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.credebl.id/docs/references/releases/v.2.2.0.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
